Ubuntu

software-center blank screen on fresh natty 11.04 install

Reported by John M.K. on 2011-04-28
198
This bug affects 26 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: software-center

WORKAROUND 1:
  Type the following into a terminal:
     killall software-center

-- or --

WORKAROUND 2:
    Reboot your computer. After that, Software Center should launch normally (if it does not, please also report that here, thanks!).
---

I just installed ubuntu natty 11.04 on my machine.

I tried to install 4 apps with software center (7zip, vlc, flash and restricted-extra), and software center freezed.

I closed it, restarted it, and the problems began... Now if I open it it just doesn't show anything (see screenshot).

WORKAROUND: Reboot your computer. After that, Software Center should launch normally (if it does not, please also report that here, thanks!).

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: software-center 4.0
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Thu Apr 28 20:25:00 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

John M.K. (jconni) wrote :
John M.K. (jconni) wrote :

Nothing gets fixed after using

sudo apt-get install -f

John M.K. (jconni) wrote :

Detailed debug information collected for running sotware center.

Gary Lasker (gary-lasker) wrote :

Hi Jeih, thanks for your report and I'm very sorry for the trouble you are having. This is a strange one that afaik we have not seen before, but with a little more information we should be able to get you up and running again.

Could you please try launching software center from the command line as shown (note no 'sudo' for this):

  $ software-center

...and then paste the output here? That will hopefully tell us exactly what's happening to cause this.

Thanks very much!

Gary Lasker (gary-lasker) wrote :

Hi again Jeih, it may also be useful to see your local logfile for software-center. If you don't mind please attach the following file to this bug.

  ~/.cache/software-center/software-center.log

Thanks again!
Gary

John M.K. (jconni) wrote :

Hi Gary.

I have already tried launching software center from terminal, no error feedback whatsoever (I just copy the output)

sinjoune@computer1:~$ software-center
sinjoune@computer1:~$

See the attachment for the log file. Hope this helps...

John M.K. (jconni) on 2011-04-28
description: updated
John M.K. (jconni) wrote :

I think this bug is the same with Bug #772457.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Could you please run (in a terminal):
$ killall software-center
$ software-center
and attach the output that produces? From the log it appears that a hanging software-center is still in the background. The log has:

2011-04-28 15:50:14,435 - softwarecenter.db - ERROR - failed to add apt-xapian-index
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/database.py", line 142, in open
    axi = xapian.Database("/var/lib/apt-xapian-index/index")
  File "/usr/lib/python2.7/dist-packages/xapian/__init__.py", line 3458, in __init__
    _xapian.Database_swiginit(self,_xapian.new_Database(*args))
DatabaseOpeningError: Couldn't stat '/var/lib/apt-xapian-index/index' (No such file or directory)
2011-04-28 15:50:14,668 - softwarecenter.view.softwarepane - INFO - discarding new model (6 != 7)
2011-04-28 15:52:11,482 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/software-center/softwarecenter/models/appstore.py', 305, '_blocking_perform_search')'
2011-04-28 15:52:11,482 - root - ERROR - get_mset
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/models/appstore.py", line 302, in _blocking_perform_search
    matches = enquire.get_mset(0, self.limit, None, xfilter)
DatabaseCorruptError: Data ran out unexpectedly when reading posting list.

So that looks like the xapian index is not build yet (that should be fine) but then the corruption error appears. I wonder
if initially apt-xapian-index is missing but during the course of the usage it got created and that causes the issues.

John M.K. (jconni) wrote :

Hi Michael,

After restarting my computer software center works just fine again.

Still a bug is a bug, I didn't do anything a normal user wouldn't do, and on a clean fresh install. I will try to reproduce it and then try what you suggested...

Gary Lasker (gary-lasker) wrote :

Confirmed based on duplicates.

description: updated
Changed in software-center (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
John M.K. (jconni) wrote :

OK,

Based on the descriptions of other in the duplicate reports, and based on my experience, all you have to do is restart your system to resolve the problem. Most probably, what Michael suggested would work ( $ killall software-center...).

So the main issue is to find what caused the problem to begin with.

To that end, I reinstalled a fresh copy of natty. I started software center and added 5 programs waiting in the stack to be installed. The first one (vlc) installed. The second one (restricted extras) finished downloading and started installing. A new window poped up (to accept the EULA licence) and after accepting terms and such, an error message came up "Failed to download packages" (see screenshot). I also attach the debug info and the software-center cache right after getting the error message

I remember this is the same error message I got the first time, but the first time I closed the program cause it was not showing any progress. This time I didn't close it for about 30 minutes. After re-opening it, all the programs in the stack where properly installed (although the installation status did not update when software center was running).

Hope this helps...

John M.K. (jconni) wrote :
John M.K. (jconni) wrote :
patanaheen (patanaheen) wrote :

.cache software center log ... these lines are repeated after every few seconds .. again and again ...

2011-05-14 23:20:53,693 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/dbus/connection.py', 218, 'maybe_handle_message')'
2011-05-14 23:20:53,693 - dbus.connection - ERROR - Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/dbus/bus.py", line 71, in signal_cb
    callback(new_owner)
  File "/usr/share/software-center/softwarecenter/backend/transactionswatcher.py", line 42, in _register_active_transactions_watch
    current, queued = apt_daemon.GetActiveTransactions()
  File "/usr/lib/pymodules/python2.7/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.7/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

patanaheen (patanaheen) wrote :

also i am not sure if this is of any consequence ...

yellow@yellow-desktop:~/.cache/software-center$ ps -A|grep ze
 1583 ? 00:00:00 zeitgeist-datah
 1594 ? 00:00:00 zeitgeist-daemo
 1722 ? 00:00:00 zeitgeist-datah <defunct>

description: updated
description: updated
patanaheen (patanaheen) wrote :

No restarting does not fix it for me ... still the same .. also the ubuntu update window also has stop appearing .. i have to run updates manually ..

Gary Lasker (gary-lasker) wrote :

Hi patanaheen, thanks for reporting in. We have not as yet been able to get a good traceback for this issue, so if you could provide one it would be very helpful. Could you please try launching software center from the command line as shown (note no 'sudo' for this):

  $ software-center

...and then paste the output here? It would be very much appreciated!

patanaheen (patanaheen) wrote :

Did an apt-get update and apt-get upgrade and then restarted without doing anything .. and intrestingly very very intrestingly now i see software-center ... although it gave some zeitgeist errors .. but now they are not coming anymore ...

in short .. its working for me now ... thanx alot ..

Gary Lasker (gary-lasker) wrote :

Hi again patanaheen! Ok, thanks, that is interesting info and I'm very glad that software-center is working for you now.

In hope that it may have captured the error condition from before, would you mind attaching your local software-center log to this bug? It's this file:

  ~/.cache/software-center/software-center.log

Again, your help is very much appreciated!

patanaheen (patanaheen) wrote :

The requested file .. let me know if i can help in any other way ..

florin (florin-arjocu) wrote :

Today I experienced this bug, too. Can't tell what I did to get it, but it was here all right. Just as others said, it was the blank application window, running it from command line showed no error and for me running "killall software-center" made it work again. For now. If I get it again, I'll also upload the log file.

Gary Lasker (gary-lasker) wrote :

I hit this bug today, but can't identify what I did that caused it. Indeed, there was a zombie software-center process still running, but it had no associated visible window.

I got the following output when starting software-center, each time I tried, and it resulted in the blank screen:

$ software-center
2011-06-02 16:36:16,475 - softwarecenter - INFO - Using data (UI, xapian) from current dir
/usr/share/software-center/softwarecenter/SimpleGtkbuilderApp.py:32: RuntimeWarning: missing handler 'on_window_main_button_press_event'
  self.builder.connect_signals(self)

Doing the 'killall' software-center' made everything work again.

description: updated
DarkRedman (darkredman) wrote :

I just had this bug occured again on natty !

Gary Lasker (gary-lasker) wrote :

Attached is my log for the date that I saw this error. Unfortunately, it doesn't appear to show anything of interest particular to this bug.

William Ranvaud (wiranvaud) wrote :

I've just had this error, the workaround on the description worked (killall)
I'll attach my logs too...

Dustin Godec (dustinpascal) wrote :

I am experiencing this bug also - with the blank window up I did the following in a terminal:

dgodec@Dimension-4600:/usr/share/themes/Orta$ killall software-center
dgodec@Dimension-4600:/usr/share/themes/Orta$ software-center
2011-07-26 03:59:33,961 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/software-center/softwarecenter/view/widgets/mkit_themes.py', 675, 'retrieve')'
2011-07-26 03:59:33,957 - root - WARNING - No styling hints for Orta were found... using Human hints.
/usr/share/software-center/softwarecenter/app.py:1194: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.window_main.show_all()
2011-07-26 03:59:36,674 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.7/zeitgeist/client.py', 367, 'reconnect_monitors')'
2011-07-26 03:59:36,674 - zeitgeist.client - INFO - Reconnected to Zeitgeist engine...
/usr/share/software-center/softwarecenter/SimpleGtkbuilderApp.py:50: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  gtk.main()
2011-07-26 03:59:42,299 - softwarecenter.app - INFO - software-center-agent finished with status 1

The workaround solved it temporarily - I will continue to run the app via terminal so I can post output when it is re-created.

Dustin Godec (dustinpascal) wrote :
szlomr (szlomr) wrote :

Hi ,

I have the same issue with software-center. I tried the workaround but it was not helpful and did not resolve the problem.
Please have a look at my log file.

Thanks in advance,
Rafael

AceKing (acviper) wrote :
Download full text (24.6 KiB)

Hi,

I am also getting this error. I tried everything but could not get it to work. The Software-Center worked fine when I first installed the system.
Here is my log file, sorry it's so long:

2011-12-18 16:34:39,962 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-18 16:34:41,233 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-18 16:34:41,310 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-18 16:34:46,503 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0
2011-12-18 17:04:42,842 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-18 17:04:46,630 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-18 17:04:46,708 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-18 17:05:04,767 - softwarecenter.backend.reviews - WARNING - error creating bsddb: '(11, 'Resource temporarily unavailable -- unable to join the environment')' (corrupted?)
2011-12-18 17:05:05,135 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0
2011-12-18 17:07:28,979 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-18 17:07:29,768 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-18 17:07:29,827 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-18 17:07:46,958 - softwarecenter.backend.reviews - WARNING - error creating bsddb: '(11, 'Resource temporarily unavailable -- unable to join the environment')' (corrupted?)
2011-12-18 17:07:47,102 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0
2011-12-18 17:18:56,825 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-18 17:19:01,450 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-18 17:19:01,536 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-18 17:19:20,116 - softwarecenter.backend.reviews - WARNING - error creating bsddb: '(11, 'Resource temporarily unavailable -- unable to join the environment')' (corrupted?)
2011-12-18 17:19:20,482 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0
2011-12-18 17:31:30,633 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-18 17:31:31,386 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-18 17:31:31,445 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-18 17:31:49,226 - softwarecenter.backend.reviews - WARNING - error creating bsddb: '(11, 'Resourc...

johnryan (johnryancrouse) wrote :

incountering the same problem a few times and found this and it works on unbuntu 11.10 $ sudo software-center --enable-lp

Changed in software-center (Ubuntu):
importance: Low → Medium
no longer affects: software-center
Michael Vogt (mvo) wrote :

I can reproduce at least one incarnation of this bug by opening software-center and closing it via the
window-close button really quickly. Subsequent runs of software-center will then fail to load because
the first one did not properly exit.

Changed in software-center (Ubuntu):
milestone: none → ubuntu-12.04
status: Confirmed → In Progress
Michael Vogt (mvo) wrote :

Test case:
1. open software-center
2. close it really quicky via the window close button
3. launch software-center again and observe that there is a empty window

Gary Lasker (gary-lasker) wrote :

Nice fix!! This is now merged to trunk. Thank you, Michael!

Changed in software-center (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2

---------------
software-center (5.2) precise; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - recommend xz-lmza instead of lzma (LP: #878354)
  * lp:~mvo/software-center/track-axi-changes:
    - add a monitor for changes in the apt-xapian-index to ensure
      the DB is reopened if the cron job changes the apt-xapian-index
      database (LP: #507836)
  * lp:~mvo/software-center/lp970342:
    - do not crash if the parent goes away (and therefore the pipe)
      and the token can not be obtained (LP: #970342)
  * lp:~mvo/software-center/lp967036:
    - fix UnicodeDecodeError crash for apps with hardware
      requirements in the details view (LP: #967036)
  * lp:~mvo/software-center/list-a11y:
    - restore the a11y support for orca/accerciser/ldtp for
      the listview and treeview
  * lp:~mvo/software-center/lp979013:
    - fix a bug in the review display for certain language
      environments (LP: #979013)
  * lp:~mvo/software-center/appview-tweaks:
    - code cleanup in the sortmode code
  * lp:~mvo/software-center/lp772549:
    - fix a bug that can result in a blank software center
      screen on startup (LP: #772549)
  * lp:~mvo/software-center/lp914393:
    - adds an explicit sys.exit() to ensure all gtk event
      processing is stopped on application quit (LP: #914393)
  * lp:~mvo/software-center/lp976169:
    - do not crash if apt-xapian-index is not installed
      (LP: #976337)
    - ignore xapian.DatabaseOpeningError here (happens when
      there is no a-x-i so we don't care) (LP: #976169)
  * lp:~mvo/software-center/lp976525:
    - do not show "upgradable" button when there should be "remove"
      (LP: #976525)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/sorting-fix-lp969215:
    - fix sort combo box inconsistencies (LP: #969215)

  [ Dave Morley ]
  * lp:~davmor2/software-center/remove_two_lines:
    - small fixes for test script USC-start-stop-times.py

  [ Kiwinote ]
  * sc/ui/gtk3/widgets/apptreeview.py:
    - everyone tries to expand a category in the installed pane by clicking
      on the text rather than the expander arrow (LP: #877130)
 -- Michael Vogt <email address hidden> Fri, 13 Apr 2012 18:35:13 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.